<?php
    add_action('customize_register', 'blankpress_theme_customize');


    function blankpress_theme_customize( $wp_customize ) {
		
		// Setting group for uploading logo
        $wp_customize->add_setting('blankpress_logo', array(
            'default'           => '',
            'sanitize_callback' => 'blankpress_sanitize_upload',
        ));
 
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'blankpress_logo', array(
            'label'    => __('Your Logo', 'blankpress'),
            'section'  => 'title_tagline',
            'settings' => 'blankpress_logo',
            'priority' => 1,
        )));
     

        $wp_customize->add_section( 'front_page_customize', array(
          'title'          => __( 'Front Page', 'blankpress' ),
        ));

        // Setting for Slider of Home Page
        $wp_customize->add_setting( 'frontpage_display', array(
          'default' => '',
        ));
        // Setting for Slider of Home Page
        $wp_customize->add_setting( 'slider_display', array(
          'default' => '',
        ));

        // Setting for Search Block of Home Page
        $wp_customize->add_setting( 'search_display', array(
          'default' => '',
        ));

        // Setting for Member Block
        $wp_customize->add_setting( 'member_display', array(
          'default' => '',
        ));

        // Setting for Member Online
        $wp_customize->add_setting( 'member_online', array(
          'default' => '',
        ));

        // Setting for Happy Stories
        $wp_customize->add_setting( 'happy_stories', array(
          'default' => '',
        ));

        // Setting for Latest Blog
        $wp_customize->add_setting( 'latest_blog', array(
          'default' => '',
        ));

        // Control for Slider Of Home Page
         $wp_customize->add_control( 'frontpage_display', array(
            'label'   => __( 'Front Page Display', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox',
            'priority' => 1, 
        ));
		$wp_customize->add_setting( 'slider_shortcode', array(
          'default' => '',
        ));
		// Control for Pinterest Icon
         $wp_customize->add_control( 'slider_shortcode', array(
            'setting' => 'slider_shortcode',
            'label'   => __( 'Slider shortcode', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'text',
        ));

          // Control for Slider Of Home Page
         $wp_customize->add_control( 'slider_display', array(
            'label'   => __( 'Display Slider', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));
        
        // Control for Search Of Home Page
         $wp_customize->add_control( 'search_display', array(
            'label'   => __( 'Search Display', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));

        


        // Control for Member Block
         $wp_customize->add_control( 'member_display', array(
            'label'   => __( 'Display Member', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));

        // Control for Front Slider 
        $wp_customize->add_control( 'member_online', array(
            'label'   => __( 'Member Online', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));

        // Control for Happy Stories 
        $wp_customize->add_control( 'happy_stories', array(
            'label'   => __( 'Happy Stories', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));

        // Control for Latest Blog
        $wp_customize->add_control( 'latest_blog', array(
            'label'   => __( 'Latest Blog', 'blankpress' ),
            'section' => 'front_page_customize',
            'type'    => 'checkbox', 
        ));
        

        // Adding section for the Page Title Display
         $wp_customize->add_section( 'page_title_customize', array(
          'title'          => __( 'Page Title', 'blankpress' ),
        ));

        // Setting for Slider of Home Page
        $wp_customize->add_setting( 'page_title_display', array(
          'default' => '',
        ));

         // Control for Slider Of Home Page
         $wp_customize->add_control( 'page_title_display', array(
            'label'   => __( 'Page Title Display', 'blankpress' ),
            'section' => 'page_title_customize',
            'type'    => 'checkbox', 
        ));


        /* Adding Section For Socail Meda */
        $wp_customize->add_section( 'social_media', array(
          'title'          => __( 'Social Media', 'blankpress' ),
        ));

        // Setting for Facebook Icon
        $wp_customize->add_setting( 'facebook_uid', array(
          'default' => '',
        ));

        // Control for Facebook Icon
         $wp_customize->add_control( 'facebook_uid', array(
            'setting' => 'facebook_uid',
            'label'   => __( 'Facebook', 'blankpress' ),
            'section' => 'social_media',
            'type'    => 'text',
        ));


         // Setting for Twitter Icon
        $wp_customize->add_setting( 'twitter_uid', array(
          'default' => '',
        ));

        // Control for Twitter Icon
         $wp_customize->add_control( 'twitter_uid', array(
            'setting' => 'twitter_uid',
            'label'   => __( 'Twitter', 'blankpress' ),
            'section' => 'social_media',
            'type'    => 'text',
        ));

         // Setting for Google Icon
        $wp_customize->add_setting( 'google_uid', array(
          'default' => '',
        ));

        // Control for Google Icon
         $wp_customize->add_control( 'google_uid', array(
            'setting' => 'google_uid',
            'label'   => __( 'Google Plus', 'blankpress' ),
            'section' => 'social_media',
            'type'    => 'text',
        ));

         // Setting for Pinterest Icon
        $wp_customize->add_setting( 'pinterest_uid', array(
          'default' => '',
        ));

        // Control for Pinterest Icon
         $wp_customize->add_control( 'pinterest_uid', array(
            'setting' => 'pinterest_uid',
            'label'   => __( 'Pinterest', 'blankpress' ),
            'section' => 'social_media',
            'type'    => 'text',
        ));

         // Setting for Social Icon Color Choosing
         $wp_customize->add_setting( 'social_uid_color', array(
          'default' => '',
        ));

         // Control For Social Icon Color Choosing
         $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'social_uid_color', array(
            'label'    => __('Choose Icon Color', 'blankpress'),
            'section'  => 'social_media',
            'settings' => 'social_uid_color',
        )));

         // Setting for Social Icon Background Color Choosing
        $wp_customize->add_setting( 'social_uid_bg_color', array(
          'default' => '',
        ));

        // Control for Social Icon Background Color Choosing
         $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'social_uid_bg_color', array(
            'label'    => __('Choose Icon Background Color', 'blankpress'),
            'section'  => 'social_media',
            'settings' => 'social_uid_bg_color',
        )));

        // Setting for Social Icon Hover Color Choosing
        $wp_customize->add_setting( 'social_uid_hover_color', array(
          'default' => '',
        ));

        // Control for Social Icon Hover Color Choosing
         $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'social_uid_hover_color', array(
            'label'    => __('Choose Icon Hover Color', 'blankpress'),
            'section'  => 'social_media',
            'settings' => 'social_uid_hover_color',
        )));

        // Setting for Social Icon Hover Background Color Choosing
        $wp_customize->add_setting( 'social_uid_bg_hover_color', array(
          'default' => '',
        ));

        // Control for Social Icon Hover Background Color Choosing
         $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'social_uid_bg_hover_color', array(
            'label'    => __('Choose Icon Hover Background Color', 'blankpress'),
            'section'  => 'social_media',
            'settings' => 'social_uid_bg_hover_color',
        )));
		
		
		
		$wp_customize->add_section( 'footer_section', array(
          'title'          => __( 'Footer', 'blankpress' ),
        ));
		$wp_customize->add_setting( 'footer_text', array(
          'default' => 'Copyright @ WP Dating Theme 2015',
        ));
		// Control for Pinterest Icon
         $wp_customize->add_control( 'footer_text', array(
            'setting' => 'footer_text',
            'label'   => __( 'Footer text', 'blankpress' ),
            'section' => 'footer_section',
            'type'    => 'text',
        ));

/**
 * adds sanitization callback function for uploading : uploader
  @package lavish  Special thanks to: https://github.com/chrisakelley
 */
add_filter( 'blankpress_sanitize_image', 'blankpress_sanitize_upload' );
add_filter( 'blankpress_sanitize_file', 'blankpress_sanitize_upload' );
function blankpress_sanitize_upload( $input ) {
        
        $output = '';
        
        $filetype = wp_check_filetype($input);
        
        if ( $filetype["ext"] ) {
        
                $output = $input;
        
        }
        
        return $output;

}

    }
    function mytheme_customize_css()
    {
        ?>
             <style type="text/css">
                .footer-social-icon ul li a i { color:<?php echo get_theme_mod('social_uid_color'); ?>; background-color:<?php echo get_theme_mod('social_uid_bg_color'); ?>;}
                .footer-social-icon ul li a i:hover { color:<?php echo get_theme_mod('social_uid_hover_color'); ?>; background-color:<?php echo get_theme_mod('social_uid_bg_hover_color'); ?>;} 
             </style>
        <?php
    }
    add_action( 'wp_head', 'mytheme_customize_css');




        

?>