<?php
/*-------------------------------------------------
	BlankPress - Default Blog Template
	Template Name: ContactPage with sidebar
 --------------------------------------------------*/
 
get_header(); ?>

<?php
$nameError = '';
$emailError = '';
$commentError = '';
if (isset($_POST['submitted'])) {
    if (trim($_POST['contactName']) === '') {
        $nameError = 'Please enter your name.';
        $hasError = true;
    } else {
        $name = trim($_POST['contactName']);
    }
    if (trim($_POST['email']) === '') {
        $emailError = 'Please enter your email address.';
        $hasError = true;
    } else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
        $emailError = 'You entered an invalid email address.';
        $hasError = true;
    } else {
        $email = trim($_POST['email']);
    }
    if (trim($_POST['comments']) === '') {
        $commentError = 'Please enter a message.';
        $hasError = true;
    } else {
        if (function_exists('stripslashes')) {
            $comments = stripslashes(trim($_POST['comments']));
        } else {
            $comments = trim($_POST['comments']);
        }
    }
    if (!isset($hasError)) {
        $emailTo = get_option('tz_email');
        if (!isset($emailTo) || ($emailTo == '')) {
            $emailTo = get_option('admin_email');
        }
        $subject = '[PHP Snippets] From ' . $name;
        $body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
        $headers = 'From: ' . $name . ' <' . $emailTo . '>' . "\r\n" . 'Reply-To: ' . $email;
        mail($emailTo, $subject, $body, $headers);
        $emailSent = true;
    }
}
?>


    <div class="dsp-content-wrapper dsp-content-wrapper-form">
    	<div class="dsp-md-8">
        	<div class="content dsp-content">
          <?php if (have_posts())
                        while (have_posts()) : the_post(); ?>
          <?php if (isset($emailSent) && $emailSent == true) { ?>
          <div class="thanks">
            <p>Thanks, your email was sent successfully.</p>
          </div>
          <?php } else { ?>
          <?php the_content(); ?>
          <?php if (isset($hasError) || isset($captchaError)) { ?>
            <p class="error">Sorry, an error occured. </p>
            <?php } ?>
          <form action="<?php the_permalink(); ?>" id="dsp-contactForm" method="post">
            <table>
              <tr>
                <td class="dsp-md-3"><label for="contactName">Name <span class="required">(required)</span>:</label></td>
                <td>
                  <div class="dsp-md-6 dsp-xs-12">
                    <input type="text" name="contactName" id="contactName" value="<?php if (isset($_POST['contactName']))
                    echo $_POST['contactName']; ?>" class="required requiredField" />
                    <?php if ($nameError != '') { ?>
                    <span class="error"> <?php echo $nameError; ?> </span>
                    <?php } ?>
                  </div>
                </td>
              </tr>
              <tr>
                <td class="dsp-md-3"><label for="email">Email <span class="required">(required)</span>:</label></td>
                <td>
                  <div class="dsp-md-6 dsp-xs-12">
                  <input type="text" name="email" id="email" value="<?php if (isset($_POST['email']))
                    echo $_POST['email']; ?>" class="required requiredField email" />
					<?php if ($emailError != '') { ?>
                  <span class="error"> <?php echo $emailError; ?> </span>
                  <?php } ?>
                </div>
                </td>
                    
              </tr>
              <tr>
                <td class="dsp-md-3"><label for="commentsText">Message <span class="required">(required)</span>:</label></td>
                <td>
                  <div class="dsp-md-12 dsp-xs-12">
                 <textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?>
    </textarea>
    <?php if ($commentError != '') { ?>
                  <span class="error"> <?php echo $commentError; ?> </span>
                  <?php } ?>
            
                                          </div> </td>
              </tr>
              <tr>
                <td class="dsp-md-3"></td>
                <td><div class="dsp-md-12"><input class="submit" type="submit" value="Submit"/></div></td>
              </tr>
            </table>
            <input type="hidden" name="submitted" id="submitted" value="true" />
          </form>
          <?php } ?>
          <?php endwhile; ?>
        </div>
        </div>

        	<div class="dsp-md-4"?>
    <aside class="sidebar plugin-sidebar">
        <?php dynamic_sidebar( 'quick_search' ); ?>
      </aside>
  </div>
    </div>

<?php get_footer();